### Function

# Pango.trim_string

#### Declaration [src]

    char*
    pango_trim_string (
      const char* str
    )

#### Description [src]

Trims leading and trailing whitespace from a string.

#### Parameters

`str` | `const char*`
| a string
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `char*`
A newly-allocated string that must be freed with `g_free()`
Ownership of the data is transferred to the caller
The string is a NUL terminated UTF-8 string